## debootstrap 1.0.141ubuntu1

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

all:

clean:

DSDIR=$(DESTDIR)/usr/share/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin

	cp -a scripts/* $(DSDIR)/scripts/
	install -m 0644 functions $(DSDIR)/

	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap

=== debian/changelog ===
debootstrap (1.0.141ubuntu1) resolute; urgency=medium

  * Add symbolic link to resolute.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 27 Oct 2025 21:44:27 +0100

=== debian/control ===
Source: debootstrap
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Colin Watson <cjwatson@debian.org>, Steve McIntyre <93sam@debian.org>,
           Hideki Yamane <henrich@debian.org>, Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/installer-team/debootstrap
Vcs-Git: https://salsa.debian.org/installer-team/debootstrap.git

Package: debootstrap
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, wget, distro-info
Recommends: sopv | sqv | gpgv, mount, ${debootstrap:Recommends}
Suggests: squid-deb-proxy-client, ${debootstrap:Suggests}
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Debian system

=== debian/tests/control ===
Features: test-name=debian-testing-minbase
Test-Command: ./debian/tests/debian-testing minbase
Depends:
 debootstrap,
 libdistro-info-perl,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 systemd [linux-any],
 systemd-container [linux-any],
 ca-certificates,
 distro-info,
Restrictions: allow-stderr, needs-root

Features: test-name=debian-testing-buildd
Test-Command: ./debian/tests/debian-testing buildd
Depends:
 debootstrap,
 libdistro-info-perl,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 systemd [linux-any],
 systemd-container [linux-any],
 ca-certificates,
 distro-info,
Restrictions: allow-stderr, needs-root

Features: test-name=debian-testing-default
Test-Command: ./debian/tests/debian-testing -
Depends:
 debootstrap,
 libdistro-info-perl,
 libdpkg-perl,
 libipc-run-perl,
 perl,
 systemd [linux-any],
 systemd-container [linux-any],
 ca-certificates,
 distro-info,
Restrictions: allow-stderr, needs-root

Tests: unsorted-packages-files
Depends:
 debootstrap,
 python3-debian,
 python3-flask,
 python3-requests,
Restrictions: allow-stderr

Tests: arch-all-support
Depends:
 debootstrap,
 python3-apt,
 python3-flask,
 python3-requests,
Restrictions: allow-stderr

## debootstrap 1.0.142

=== debian/changelog ===
debootstrap (1.0.142) unstable; urgency=medium

  [ Steve McIntyre ]
  * fstab: add more helpful boilerplate. Thanks to Marc Haber for the
    suggestion. Closes: #1107594

  [ Sebastian Krzyszkowiak ]
  * PureOS: Add symlinks for dawn and landing

  [ Thomas Weißschuh ]
  * style: fix identation of --in-release-path
  * support for custom https ca certificates

  [ Guillem Jover ]
  * Prefer .pgp keyring if present over .gpg one for Debian sid

  [ Simon Josefsson ]
  * Sync Trisquel script and add ecne (Closes: #1115863)

  [ Luca Boccassi ]
  * autopkgtest: explicitly install bsdutils for 'script' command

  [ Paride Legovini ]
  * Ubuntu: add symlink for resolute

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Nov 2025 13:41:23 +0000

=== debian/tests/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  systemd-container [linux-any],
  ca-certificates,
  distro-info,
+ bsdutils,
 Restrictions: allow-stderr, needs-root
 
 Features: test-name=debian-testing-default

## debootstrap 1.0.142build1

=== debian/changelog ===
debootstrap (1.0.142build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:39:21 -0500

## debootstrap 1.0.142devuan1

=== debian/changelog ===
debootstrap (1.0.142devuan1) unstable; urgency=medium

  * Merge tag 1.0.142.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 24 Nov 2025 07:17:51 +0000

=== debian/rules ===
#! /usr/bin/make -f

ifeq (0,$(shell dpkg-vendor --derives-from Ubuntu; echo $$?))
  RECOMMENDS := ubuntu-keyring
  SUGGESTS   := debian-archive-keyring, arch-test (>= 0.11~),
else ifeq (0,$(shell dpkg-vendor --derives-from Tanglu; echo $$?))
  RECOMMENDS := tanglu-archive-keyring, arch-test (>= 0.11~),
  SUGGESTS   := debian-archive-keyring, ubuntu-archive-keyring, binutils, xz-utils, zstd
else ifeq (0,$(shell dpkg-vendor --derives-from Devuan; echo $$?))
  RECOMMENDS := devuan-keyring, arch-test (>= 0.11~)
  SUGGESTS   := debian-archive-keyring, ubuntu-archive-keyring
else ifeq (0,$(shell dpkg-vendor --derives-from Kali; echo $$?))
  RECOMMENDS := kali-archive-keyring, arch-test (>= 0.11~),
  SUGGESTS   := debian-archive-keyring, ubuntu-archive-keyring, binutils, xz-utils, zstd
else ifeq (0,$(shell dpkg-vendor --derives-from Pardus; echo $$?))
  RECOMMENDS := pardus-archive-keyring, arch-test (>= 0.11~),
  SUGGESTS   := debian-archive-keyring, ubuntu-archive-keyring, binutils, xz-utils, zstd
else ifeq (0,$(shell dpkg-vendor --derives-from eLxr; echo $$?))
  RECOMMENDS := elxr-archive-keyring, arch-test (>= 0.11~),
  SUGGESTS   := debian-archive-keyring, ubuntu-archive-keyring, binutils, xz-utils, zstd
else
  RECOMMENDS := debian-archive-keyring, arch-test (>= 0.11~),
  SUGGESTS   := ubuntu-archive-keyring, binutils, xz-utils, zstd
endif

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb

override_dh_gencontrol:
	dh_gencontrol -- -Vdebootstrap:Recommends='$(RECOMMENDS)' -Vdebootstrap:Suggests='$(SUGGESTS)'

# Specify gzip to mitigate #770217:
override_dh_builddeb:
	dh_builddeb -pdebootstrap      -- -Zgzip
	dh_builddeb -pdebootstrap-udeb -- -Zxz

=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,7 @@
+Features: test-name=devuan
+Test-Command: ./debian/tests/devuan
+Restrictions: allow-stderr, needs-root
+
 Features: test-name=debian-testing-minbase
 Test-Command: ./debian/tests/debian-testing minbase
 Depends:
@@ -6,8 +10,6 @@
  libdpkg-perl,
  libipc-run-perl,
  perl,
- systemd [linux-any],
- systemd-container [linux-any],
  ca-certificates,
  distro-info,
 Restrictions: allow-stderr, needs-root
@@ -20,8 +22,6 @@
  libdpkg-perl,
  libipc-run-perl,
  perl,
- systemd [linux-any],
- systemd-container [linux-any],
  ca-certificates,
  distro-info,
  bsdutils,
@@ -35,8 +35,6 @@
  libdpkg-perl,
  libipc-run-perl,
  perl,
- systemd [linux-any],
- systemd-container [linux-any],
  ca-certificates,
  distro-info,
 Restrictions: allow-stderr, needs-root
@@ -44,6 +42,7 @@
 Tests: unsorted-packages-files
 Depends:
  debootstrap,
+ python3-apt,
  python3-debian,
  python3-flask,
  python3-requests,
